> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hawkings.education/llms.txt
> Use this file to discover all available pages before exploring further.

# List enrolled students

> Sugar for `users.list({ role: 'student', cohort_id })`.

## Path parameters

<ParamField path="id" type="string" required />

## Query

<ParamField query="limit" type="integer" default="20" />

<ParamField query="starting_after" type="string" />

## Examples

<CodeGroup>
  ```ts TypeScript theme={null}
  const students = await hk.cohorts.students("coh_123");

  // Equivalent:
  const same = await hk.students.list({ cohort_id: "coh_123" });
  ```

  ```php PHP theme={null}
  $students = $hk->cohorts->students('coh_123');

  // Equivalent:
  $same = $hk->students->list(['cohort_id' => 'coh_123']);
  ```
</CodeGroup>

## Returns

A paginated list of [User](/api-reference/users/object) objects with
`role: "student"`.
